org.apache.ignite.internal.processors.odbc

## Class ClientListenerProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.odbc.ClientListenerProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor

    public class ClientListenerProcessor
    extends GridProcessorAdapter

Client connector processor.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

Fields
`static AtomicLong` `CANCEL_COUNTER` Cancel counter.
`static String` `CLI_CONN_VIEW`
`static String` `CLI_CONN_VIEW_DESC`
`static String` `CLIENT_LISTENER_PORT` Client listener port.
`static ClientConnectorConfiguration` `DFLT_CLI_CFG` Default client connector configuration.

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`ClientListenerProcessor(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onKernalStart(boolean active)` Callback that notifies that kernal has successfully started, including all managers and processors.
`void` `onKernalStop(boolean cancel)` Callback to notify that kernal is about to stop.
`int` `port()`
`void` `start()` Starts grid component.

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onReconnected, printMemoryStats, stop, toString, validateNode, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CLI_CONN_VIEW

    public static final String CLI_CONN_VIEW

#### CLI_CONN_VIEW_DESC

    public static final String CLI_CONN_VIEW_DESC

See Also:
  Constant Field Values

#### DFLT_CLI_CFG

    public static final ClientConnectorConfiguration DFLT_CLI_CFG

Default client connector configuration.

#### CLIENT_LISTENER_PORT

    public static final String CLIENT_LISTENER_PORT

Client listener port.

See Also:
  Constant Field Values

#### CANCEL_COUNTER

    public static final AtomicLong CANCEL_COUNTER

Cancel counter. For testing purposes only.

### Constructor Detail

#### ClientListenerProcessor

    public ClientListenerProcessor(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### start

    public void start()
               throws IgniteCheckedException

Starts grid component.

Specified by:
  `start` in interface `GridComponent`
Overrides:
  `start` in class `GridProcessorAdapter`
Throws:
  `IgniteCheckedException` - Throws in case of any errors.

#### onKernalStart

    public void onKernalStart(boolean active)
                       throws IgniteCheckedException

Callback that notifies that kernal has successfully started, including all managers and processors.

Specified by:
  `onKernalStart` in interface `GridComponent`
Overrides:
  `onKernalStart` in class `GridProcessorAdapter`
Parameters:
  `active` - Cluster active flag (note: should be used carefully since state can change concurrently).
Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

#### onKernalStop

    public void onKernalStop(boolean cancel)

Callback to notify that kernal is about to stop.

Specified by:
  `onKernalStop` in interface `GridComponent`
Overrides:
  `onKernalStop` in class `GridProcessorAdapter`
Parameters:
  `cancel` - Flag indicating whether jobs should be canceled.

#### port

    public int port()

Returns:
  Server port.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020